;InnoSetupVersion=4.0.9

[Setup]
AppName=NewsPiper
AppVerName=NewsPiper
AppId=NewsPiper
DefaultDirName={pf}\NewsPiper
DefaultGroupName=NewsPiper
OutputBaseFilename=np_setup
Compression=zip
PrivilegesRequired=none
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\newspiper.exe"; DestDir: "{app}"; 
Source: "{app}\newspiper.hlp"; DestDir: "{app}"; 
Source: "{app}\newspiper.cnt"; DestDir: "{app}"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{app}\history.txt"; DestDir: "{app}"; 
Source: "{app}\newspiper.xml"; DestDir: "{app}"; 
Source: "{userappdata}\NewsPiper\Channels\general_news\category_info.xml"; DestDir: "{userappdata}\NewsPiper\Channels\general_news"; 
Source: "{userappdata}\NewsPiper\Channels\general_news\www_cnn_com.xml"; DestDir: "{userappdata}\NewsPiper\Channels\general_news"; 
Source: "{userappdata}\NewsPiper\Channels\general_news\www_reuters_com_newschannel_jhtml.xml"; DestDir: "{userappdata}\NewsPiper\Channels\general_news"; 
Source: "{userappdata}\NewsPiper\Channels\general_news\rss_news_yahoo_com_rss_topstories.xml"; DestDir: "{userappdata}\NewsPiper\Channels\general_news"; 
Source: "{userappdata}\NewsPiper\Channels\business_finance\category_info.xml"; DestDir: "{userappdata}\NewsPiper\Channels\business_finance"; 
Source: "{userappdata}\NewsPiper\Channels\business_finance\money_cnn_com_markets_dow30_html.xml"; DestDir: "{userappdata}\NewsPiper\Channels\business_finance"; 
Source: "{userappdata}\NewsPiper\Channels\business_finance\rss_news_yahoo_com_rss_business.xml"; DestDir: "{userappdata}\NewsPiper\Channels\business_finance"; 
Source: "{app}\lang\newspiper.ntv.lng"; DestDir: "{app}\lang"; 
Source: "{app}\lang\newspiper.RUS.lng"; DestDir: "{app}\lang"; 

[Dirs]
Name: "{app}\lang"; 

[Registry]
Root: HKCU; Subkey: "Software\Korzh"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Korzh\NewsPiper"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Korzh\NewsPiper\Common"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Korzh\NewsPiper\Common"; ValueName: "HPWidth"; ValueType: String; ValueData: "300"; 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "newspiper"; ValueType: String; ValueData: "{app}\newspiper.exe"; Flags: uninsdeletevalue 

[Run]
Filename: "{app}\newspiper.exe"; Description: "Run newspiper"; Flags: postinstall nowait

[Icons]
Name: "{group}\NewsPiper"; Filename: "{app}\newspiper.exe"; WorkingDir: "{app}"; 
Name: "{group}\NewsPiper Help"; Filename: "{app}\newspiper.hlp"; WorkingDir: "{app}"; 
Name: "{group}\License agreement"; Filename: "{app}\license.txt"; WorkingDir: "{app}"; 
Name: "{group}\Uninstall Newspiper"; Filename: "{app}\unins000.exe"; WorkingDir: "{app}"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
